> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# getWorkspace

> Get workspace details



## OpenAPI

````yaml admin-openapi.json get /v1/admin/workspaces/{id}
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/workspaces/{id}:
    get:
      tags:
        - Endpoints
      description: Get workspace details
      operationId: getWorkspace
      parameters:
        - name: id
          in: path
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/getWorkspaceResponse'
        default:
          $ref: '#/components/responses/getWorkspaceResponse'
components:
  responses:
    getWorkspaceResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              ownerId:
                type: string
              createdAt:
                type: string
              updatedAt:
                type: string
              botCount:
                type: number
              billingVersion:
                type: string
                enum:
                  - v1
                  - v2
                  - v3
              plan:
                type: string
                enum:
                  - community
                  - team
                  - enterprise
                  - plus
              blocked:
                type: boolean
              spendingLimit:
                type: number
              about:
                default: ''
                type: string
              profilePicture:
                default: ''
                type: string
              contactEmail:
                default: ''
                type: string
              website:
                default: ''
                type: string
              socialAccounts:
                default: []
                type: array
                items:
                  type: string
              isPublic:
                type: boolean
              handle:
                type: string
              activeTrialId:
                type: string
                nullable: true
            required:
              - id
              - name
              - ownerId
              - createdAt
              - updatedAt
              - botCount
              - billingVersion
              - plan
              - blocked
              - spendingLimit
              - activeTrialId
            title: getWorkspaceResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````